Home | News | MOTU products and Mac OS X 10.7 (Lion)

MOTU products and Mac OS X 10.7 (Lion)

Document Actions

Today Apple released Mac OS X 10.7 (Lion). MOTU is working with Apple to ensure current MOTU products are compatible with Lion, and to provide a smooth transition for your MOTU products when you upgrade to Lion.

For MOTU audio and MIDI interfaces, we've created a consolidated universal audio installer that ensures that all MOTU driver and software components are up-to-date and compatible. Mac OS X 10.5.8 or later is recommended, including Mac OS X 10.7 (Lion).

For Digital Performer, a version 7.24 maintenance update is now available and includes full compatibility with Mac OS X 10.7 (Lion). Registered DP7 owners can download the update here. DP 7.24 is required for compatibility with Lion. Please refer to installer Read Me for changes and complete system requirements.

Please read this tech note note about authorizing DP7 under Lion.

For MX4, a version 2.2.1 maintenance update is now available and includes full compatibility with Mac OS X 10.7 (Lion). Registered MX4 owners can download the update here. MX4 2.2.1 is required for compatibility with Lion. Please refer to installer Read Me for changes and complete system requirements.

Current versions of other MOTU software appear to be compatible with Lion, although final compatibility testing is still on-going. In some cases, MOTU software updates may be available soon to achieve 100% compatibility. Check motu.com frequently for further announcements in the near future. If you are a Digital Performer user, read on for important information about compatibility with Lion.